@ECHO OFF

if %1==remoteLaunch goto Package_remoteLaunch
if %1==rrdService goto Package_rrdService
if %1==doc goto doc
goto help

:doc
mkdir .\doc\remotelaunch
copy .\src\remoteLaunch .\doc\remotelaunch
mkdir .\doc\rrdService
mkdir .\doc\rrdService\client
copy .\src\rrdService\client .\doc\rrdService\client
mkdir .\doc\rrdService\service
copy .\src\rrdService\service .\doc\rrdService\service
mkdir .\doc\rrdService\util
copy .\src\rrdService\util .\doc\rrdService\util
javadoc -sourcepath .\doc -d .\doc -use -group "Packages" "rrdService.*:remoteLaunch.*" -splitIndex -windowtitle "RrdService Platform v1.0 Specification" -docTitle "RrdService<sup><font size="-2">TM</font></sup> 2 Platform v1.0 API Specification" -bottom "<font size="-1"><a href="http://www.rrdtool.org">Submit a bug or feature</a><br>Copyright 1885-2001 FIRMENICH SA, Geneva,<br>All Rights Reserved.</font>" -footer "Copyright 1885-2001 FIRMENICH SA, Geneva" -version -author -private -nodeprecated -sourcePath .\src\ rrdService.client rrdService.service rrdService.util remoteLaunch
copy .\src\remoteLaunch\*.java .\doc\remoteLaunch\*.txt
del .\doc\remoteLaunch\*.java
copy .\src\rrdService\service\*.java .\doc\rrdService\service\*.txt
del .\doc\rrdService\service\*.java
copy .\src\rrdService\util\*.java .\doc\rrdService\util\*.txt
del .\doc\rrdService\util\*.java
copy .\src\rrdService\client\*.java .\doc\rrdService\client\*.txt
del .\doc\rrdService\client\*.java
goto end

:Package_remoteLaunch
if %2==compil goto Package_remoteLaunch_compil
if %2==exec goto Package_remoteLaunch_exec
else goto help

:Package_remoteLaunch_compil 
ECHO Compilation du package launch ...
javac -classpath .\class -d .\class .\src\remoteLaunch\*.java
if %1==all goto Package_rrdService_compil_service
goto end

:Package_remoteLaunch_exec
java -classpath C:\Xitami\webPages\Packages_Ressources remoteLaunch.Launcher %3 %4 %5 %6 %7 %8 %9
goto end

:Package_rrdService
if %2==compil goto Package_rrdService_compil
if %2==exec goto Package_rrdService_exec
if %2==rmic goto Package_rrdService_rmic
else goto help

:Package_rrdService_compil 
if %3==service goto Package_rrdService_compil_service
if %3==client goto Package_rrdService_compil_client
if %3==util goto Package_rrdService_compil_util
else goto help

:Package_rrdService_compil_service
ECHO Compilation du package rrdService.service...
javac -classpath .\class -d .\class .\src\rrdService\service\*.java
goto end

:Package_rrdService_compil_client
ECHO Compilation du package rrdService.client...
javac -classpath .\class -d .\class .\src\rrdService\client\*.java
goto end

:Package_rrdService_compil_util
ECHO Compilation du package rrdService.util...
javac -classpath .\class -d .\class .\src\rrdService\util\*.java
goto end


:Package_rrdService_exec
java -cp .\class rrdService.service.RoundRobinService ConfigRrdService.ini
goto end

:Package_rrdService_rmic
ECHO Creation des stub du package RrdService...
ECHO Creation du stub rrdService.service.RoundRobinService...
rmic -classpath .\class -d .\class rrdService.service.RoundRobinService
ECHO Creation du stub rrdService.service.RoundRobinLibrary...
rmic -classpath .\class -d .\class rrdService.service.RoundRobinLibrary
ECHO Creation du stub rrdService.service.RoundRobinDataBase...
rmic -classpath .\class -d .\class rrdService.service.RoundRobinDataBase
goto end

:help
echo make usage:
echo [package] [cmd:compil|exec|rmic] [subpackage]

:end
