package remoteLaunch;
import java.lang.*;
import java.io.*;
import java.lang.reflect.*;
/**
* La classe Launcher allows to start a client rrdService.
* The client class must extend RoundRobinServiceClient and implements Executable.
* Moreover it must define a default constructor without parameter.
* The client must take at least three parameter that the launcher returns which are
* the url of rrdService, the port of rrdService and the path where the class ressources
* are install on the http server.  
* @author Pellier Damien 
* @version	1.0 date : 15/07/2001
* <dt><b>key-word</b><code>
* <dd>	RMI
* </code>
* @see <a href="Launcher.java">Launcher</a>
* @see RoundRobinServiceClient
*/
public class Launcher {
	/**
	* Main methode main of the RoundRobinService
	* @param argv: the string array which is the command line
	*/
	public static void main (String argv[]) {
		try {
			// un security manager si quelqu'un veut bien y travailler (pour les amoureux 
			// de la programmation) ou c'est votre serveru http qui gre les droits
			//System.setSecurityManager(new SecurityManager());
			// on traite les arguments pour les repasser au programme  charger
			if (argv.length < 1) {
				System.out.println("This program has at least one argument which is the URL of file to launch");
				System.exit(1);
			}
			int slash = argv[0].lastIndexOf("/");
			String path, className;
			if (slash == -1) {
				path = "";
				className = argv[0];
			} else {
				path = argv[0].substring(0,slash);
				className = argv[0].substring(slash+1);
			}	
			String httpPath = path.substring(path.lastIndexOf("/"), path.length());
			
			// on cre une instance du program loader
			ProgramLoader loader = new ProgramLoader(path);
			// Chargement de la class cliente
			Class c = loader.loadClass(className);
			if (c == null) {
				System.out.println("Error occure loading class "+className);
				System.exit(1);
			}
			// Cration du client rrdService
			Executable client = null;
			client = (Executable)c.newInstance();	
			// Prparation des arguments
			String newArgv[] = new String[argv.length];
			newArgv[0] = argv[1];
			newArgv[1] = argv[2];
			newArgv[2] = httpPath;
			for (int i=3;i<argv.length;i++) newArgv[i] = argv[i];
			// Lancement du client
			client.main(newArgv);
		} catch  (Exception e) {
			System.out.println("Make sure that your command line is correct");
			//e.printStackTrace();
			System.exit(1);
		}
	}
}
 