package rrdService.service;
import java.lang.*;
import java.util.*;
import java.io.*;
import java.lang.*;
/**	
* The class ImageGarbageCollector implement a image garbage collector
* @author Pellier Damien
* @version	1.0
* date : 15/07/2001
* </code>
* @see <a href="ImageGarbageCollector.java">ImageGarbageCollector</a>
*/
public class ImageGarbageCollector extends TimerTask {
	/**
	* homeDirectory to garbage where to start garbage
	*/
	private File homeDirectory;
	/**
	* Constructor of ImageGarbageCollector
	* @param homeDirectory the home directory to garbage where to start garbage
	*/
	public ImageGarbageCollector(File homeDirectory) {
		super();
		this.homeDirectory = homeDirectory;
	}
	/**
	* run implement the algorithme of ImageGarbageCollector
	*/
	public void run() {
		try {
			imageCollector(homeDirectory);
		} catch(Exception e) {
			e.printStackTrace();
			if (e.getMessage() != null ) {
				LogFile.print("Error ImageGarbageCollector: "+e.getMessage());
			}
			else {
				LogFile.print("Error ImageGarbageCollector");
			}
		}
	}
	/**
	* Collects the image
	* @param directory the directory where starting the collect
	*/
	private void imageCollector(File directory) throws Exception {	
		File[] FilesList = directory.listFiles();
		for (int i=0; i<FilesList.length; i++) {
			if (FilesList[i].isDirectory()) imageCollector(FilesList[i]);
			else {
				String name = FilesList[i].getName();
				if 	(name.length() > 4 ) {
					if ((name.substring(name.length()-4, name.length()).equalsIgnoreCase(".GIF") || 
						name.substring(name.length()-4, name.length()).equalsIgnoreCase(".PNG"))) {
		 				if (((new Date().getTime())-FilesList[i].lastModified()) > 300000) {
		 					FilesList[i].delete();
		 				}
		 			}
		 		}
		 	}
		}
   	}
}	