package rrdService.service;
import rrdService.util.*;
import java.rmi.*;
import java.io.*;
import java.lang.*;
/**	
* The interface RoundRobinItf is the remote interface of RoundRobin
* @author Pellier Damien FIRMENICH SA
* @version	1.0
* date : 18/06/01
* </code>
* @see <a href="RoundRobinItf.java">RoundRobinItf</a>
* @see RoundRobin RoundRobinDataBase RoundRobinLibrary
*/
public interface RoundRobinItf extends Remote {
	/**
	* getName return the name of RoundRobin
	*/
	public String getName() throws RemoteException;
	/**
	* getType return the type of a RoundRobin
	* @return String
	*/
	public String getType() throws RemoteException ;
	/**
	* isRoundRobinLibrary return true if RoundRobin is a RoundRobinlibrary
	* @return boolean
	*/
	public boolean isRoundRobinLibrary() throws RemoteException ;
	/**
	* isRoundRobinDataBase return true if RoundRobin is a RoundRobinDataBase
	* @return boolean
	*/
	public boolean isRoundRobinDataBase() throws RemoteException ;
	/**
	* getSize return the size of RoundRobin
	* @return long
	*/
	public long getSize() throws RemoteException;
	/**
	* delete delete a rrd
	* @return int the number of RoundRobin delete
	*/
	public int delete() throws RemoteException;
}