package rrdService.service;
import rrdService.*;
import rrdService.util.*;
import java.rmi.*;
import java.io.*;
import java.lang.*;
import java.util.*;
/**	
* The interface RoundRobinLibraryItf is the remote interface of RDDLibrary
* @author Pellier Damien
* @version	1.0
* date : 15/07/2001
* </code>
* @see <a href="RoundRobinLibraryItf.java">RoundRobinLibraryItf</a>
* @see RoundRobin RoundRobinLibrary
*/
public interface RoundRobinLibraryItf extends Remote, RoundRobinItf {
	/**
	* createSubLibrary create a sub library in the current library
	* @param name the name of sub library
	* @return RoundRobinLibraryItf
	*/
	public RoundRobinLibraryItf createSubLibrary(String name) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param startTime Specifies the time in seconds since 1970-01-01 UTC when the first value should be added to the RRD (default null)
	* @param steps Specifies the base interval in seconds with which data will be fed into the RRD (default 0)
	* @param DSContainer a collection of the data source of the RRD
	* @param RRAContainer a collection of the RRA of the RRD
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
				String fileName,
				Time startTime,
				int steps,
				DataSourceContainer DSContainer,
				RoundRobinArchiveContainer RRAContainer) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param startTime Specifies the time in seconds since 1970-01-01 UTC when the first value should be added to the RRD (default null)
	* @param steps Specifies the base interval in seconds with which data will be fed into the RRD (default 0)
	* @param dataSource the data source of the RRD
	* @param roundRobinArchive the RRA of the RRD
	* @return RoundRobinDataBaseItf
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
				String fileName,
				Time startTime,
				int steps,
				DataSource dataSource,
				RoundRobinArchive roundRobinArchive) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param startTime Specifies the time in seconds since 1970-01-01 UTC when the first value should be added to the RRD (default null)
	* @param steps Specifies the base interval in seconds with which data will be fed into the RRD (default 0)
	* @param dataSource the data source of the RRD
	* @param RRAContainer a collection of the RRA of the RRD
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
				String fileName,
				Time startTime,
				int steps,
				DataSource dataSource,
				RoundRobinArchiveContainer RRAContainer) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param startTime Specifies the time in seconds since 1970-01-01 UTC when the first value should be added to the RRD (default null)
	* @param steps Specifies the base interval in seconds with which data will be fed into the RRD (default 0)
	* @param DSContainer a collection of the data source of the RRD
	* @param roundRobinArchive the RRA of the RRD
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
			String fileName,
			Time startTime,
			int steps,
			DataSourceContainer DSContainer,
			RoundRobinArchive roundRobinArchive) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param steps Specifies the base interval in seconds with which data will be fed into the RRD (default 0)
	* @param DSContainer a collection of the data source of the RRD
	* @param RRAContainer a collection of the RRA of the RRD
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
				String fileName,
				int steps,
				DataSourceContainer DSContainer,
				RoundRobinArchiveContainer RRAContainer) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param startTime Specifies the time in seconds since 1970-01-01 UTC when the first value should be added to the RRD (default null)
	* @param DSContainer a collection of the data source of the RRD
	* @param RRAContainer a collection of the RRA of the RRD
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
				String fileName,
				Time startTime,
				DataSourceContainer DSContainer,
				RoundRobinArchiveContainer RRAContainer) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param DSContainer a collection of the data source of the RRD
	* @param RRAContainer a collection of the RRA of the RRD
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
				String fileName,
				DataSourceContainer DSContainer,
				RoundRobinArchiveContainer RRAContainer) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param steps Specifies the base interval in seconds with which data will be fed into the RRD (default 0)
	* @param dataSource the data source of the RRD
	* @param roundRobinArchive the RRA of the RRD
	* @return RoundRobinDataBaseItf
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
				String fileName,
				int steps,
				DataSource dataSource,
				RoundRobinArchive roundRobinArchive) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param steps Specifies the base interval in seconds with which data will be fed into the RRD (default 0)
	* @param dataSource the data source of the RRD
	* @param RRAContainer a collection of the RRA of the RRD
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
				String fileName,
				int steps,
				DataSource dataSource,
				RoundRobinArchiveContainer RRAContainer) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param steps Specifies the base interval in seconds with which data will be fed into the RRD (default 0)
	* @param DSContainer a collection of the data source of the RRD
	* @param roundRobinArchive the RRA of the RRD
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
			String fileName,
			int steps,
			DataSourceContainer DSContainer,
			RoundRobinArchive roundRobinArchive) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param startTime Specifies the time in seconds since 1970-01-01 UTC when the first value should be added to the RRD (default null)
	* @param dataSource the data source of the RRD
	* @param roundRobinArchive the RRA of the RRD
	* @return RoundRobinDataBaseItf
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
				String fileName,
				Time startTime,
				DataSource dataSource,
				RoundRobinArchive roundRobinArchive) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param startTime Specifies the time in seconds since 1970-01-01 UTC when the first value should be added to the RRD (default null)
	* @param dataSource the data source of the RRD
	* @param RRAContainer a collection of the RRA of the RRD
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
				String fileName,
				Time startTime,
				DataSource dataSource,
				RoundRobinArchiveContainer RRAContainer) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param startTime Specifies the time in seconds since 1970-01-01 UTC when the first value should be added to the RRD (default null)
	* @param DSContainer a collection of the data source of the RRD
	* @param roundRobinArchive the RRA of the RRD
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
			String fileName,
			Time startTime,
			DataSourceContainer DSContainer,
			RoundRobinArchive roundRobinArchive) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param dataSource the data source of the RRD
	* @param roundRobinArchive the RRA of the RRD
	* @return RoundRobinDataBaseItf
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
				String fileName,
				DataSource dataSource,
				RoundRobinArchive roundRobinArchive) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param dataSource the data source of the RRD
	* @param RRAContainer a collection of the RRA of the RRD
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
				String fileName,
				DataSource dataSource,
				RoundRobinArchiveContainer RRAContainer) throws RemoteException ;
	/**
	* createRoundRobinDataBase create a round robin database
	* @param fileName the name of the RoundRobinDataBase
	* @param DSContainer a collection of the data source of the RRD
	* @param roundRobinArchive the RRA of the RRD
	*/
	public RoundRobinDataBaseItf createRoundRobinDataBase(
			String fileName,
			DataSourceContainer DSContainer,
			RoundRobinArchive roundRobinArchive) throws RemoteException ;
	/**
	* ListRoundRobin returns an RoundRobinContainer
	* @return RoundRobinContainer
	*/
	public RoundRobinContainer listRoundRobin() throws RemoteException ;
	/**
	* ListLibrary returns RoundRobinLibraryContainer
	* @return RoundRobinLibraryContainer
	*/
	public RoundRobinLibraryContainer listRoundRobinLibrary() throws RemoteException ;
	/**
	* ListRoundRobinDataBase returns RoundRobinDataBaseContainer
	* @return RoundRobinDataBaseContainer
	*/
	public RoundRobinDataBaseContainer listRoundRobinDataBase() throws RemoteException ;
	/**
	* Returns RoundRobinLibraryItf according to its name null otherwise
	* @param libraryname the name of the library to find
	* @return RoundRobinLibraryItf
	*/
	public RoundRobinLibraryItf findLibrary(String libraryName) throws RemoteException ;
	/**
	* Returns RoundRobindataBaseItf according to its name null otherwise
	* @param RRDName the name of the round robin data base to find
	* @return RoundRobinDataBaseItf
	*/
	public RoundRobinDataBaseItf findRRD(String RRDName) throws RemoteException ;
	/**
	* getRoundRobinLibrarySize return the size in bytes of RRD
	* @return long
	*/
	public long getSize() throws RemoteException ;
	/**
	* delete delete a rrd
	* @return int the number of rrd delete
	*/
	public int delete() throws RemoteException;
	
}