package rrdService.service;
import rrdService.util.*;
import java.rmi.*;
import java.io.*;
import java.lang.*;
import java.util.*;
/**	
* The interface RoundRobinServiceItf is the remote interface of RoundRobinService
* @author Pellier 
* @version	1.0
* date : 15/07/2001
* <dt><b>key-word</b><code>
* <dd>	RMI
* </code>
* @see <a href="RoundRobinServiceItf.java">RoundRobinServiceItf</a>
* @see RoundRobinService
*/
public interface RoundRobinServiceItf extends Remote {
	/**
	* getServiceURL returns the URL of RoundRobinService
	*/
	public String getServiceURL() throws RemoteException;
	/**
	* getServicePort returns the port of RoundRobinService
	*/
	public int getServicePort() throws RemoteException;
	/**
	* getServiceMountDirectory returns the point of mount of RoundRobinService
	*/
	public RoundRobinLibraryItf getServiceMountLibrary() throws RemoteException;
	/**
	* getTimeZone returns the time zone of reference of the rrdService
	*/
	public TimeZone getTimeZone() throws RemoteException ;
}