package rrdService.util;
import java.util.*;
import java.lang.*;
import java.io.*;
/**	
* The class CdpPrep is the modelisation of a cdp prep
* @author	Damien Pellier
* @version	1.0
* date : 15/07/2001
* </code>
* @see <a href=CdpPrep.java">CdpPrep</a>
* @see RoundRobinDataBase 
*/
public class CdpPrep implements Serializable {
	/**
	* value of this cdp prep
	*/
	private Double value;
	/**
	* unknown data point of this cdp prep
	*/
	private int unknonDataPoints;
	/**
	* Default constructor of a CdpPrep
	*/
	public CdpPrep() {
		setValue(new Double(0));
		setUnknonDataPoints(0);
	}
	/**
	* Constructor of a CdpPrep
	* @param value the value of this cdp prep
	* @param unknonDataPoints the unknown data points of this cdp prep
	*/
	public CdpPrep(Double value, int unknonDataPoints) {
		setValue(value);
		setUnknonDataPoints(unknonDataPoints);
	}
	/**
	* Replaces the value of this cdp prep
	* @param value the value of this cdp prep to set
	*/
	public void setValue(Double value) {
		this.value = value;		
	}
	/**
	* Replaces the unknown data points of this cdp prep
	* @param unknonDataPoints the unknown data point of this cdp prep to set
	*/
	public void setUnknonDataPoints(int unknonDataPoints) {
		this.unknonDataPoints= unknonDataPoints;
	}
	/**
	* Returns the value of this cpd prep
	*/
	public Double getValue() {
		return this.value;
	}
	/**
	* Returns the unknown data points of this cdp prep
	*/
	public int getUnknownDataPoints() {
		return this.unknonDataPoints;
	}
}